<?php

namespace GiveMollie\FormBuilder;

use Give\DonationForms\Models\DonationForm;
use Give\FormMigration\Concerns\Blocks\BlockFactory;
use GiveMollie\Gateway\MollieGateway;

/**
 * @since 2.0.0
 */
class NewFormDefaultBlocks
{
    /**
     * Maybe add the Billing Address block to NEW forms
     *
     * @since 2.0.0
     */
    public function __invoke(DonationForm $form)
    {
        $enabledPaymentGateways = array_keys(give_get_option('gateways_v3', []));
        if ( ! in_array(MollieGateway::id(), $enabledPaymentGateways, true)) {
            return;
        }

        $collectBillingAddress = give_is_setting_enabled(give_get_option('_give_mollie_collect_billing_details'));
        if ( ! $collectBillingAddress) {
            return;
        }

        $formHasBillingAddressBlock = $form->blocks->findByName('givewp/billing-address');
        if ($formHasBillingAddressBlock) {
            return;
        }

        $form->blocks->insertAfter('givewp/email', BlockFactory::billingAddress());
    }
}
