<?php

namespace GiveMollie\LegacyListeners;

use Mollie\Api\Resources\Payment;

/**
 * @since 2.0.0
 */
class DispatchGiveMollieAfterPaymentCreated
{
    /**
     * @since 2.0.0
     */
    public function __invoke(Payment $payment)
    {
        if ( ! has_action('give_mollie_after_payment_created')) {
            return;
        }

        /**
         * After payment created
         *
         * @since      1.0
         *
         * @param Payment $payment
         *
         * @deprecated Do not use this. Instead, use the "givewp_mollie_after_payment_created" action.
         */
        do_action('give_mollie_after_payment_created', $payment);
    }
}
