<?php

namespace GiveMollie\LegacyListeners;

/**
 * @since 2.0.0
 */
class DispatchGiveMollieApiErrors
{
    /**
     * @since 2.0.0
     */
    public function __invoke(array $errors)
    {
        if ( ! has_filter('give_mollie_api_errors')) {
            return $errors;
        }

        /**
         * Get the Mollie API errors.
         *
         * @since      1.0
         *
         * @param array $errors Error list.
         *
         * @deprecated Do not use this. Instead, use the "givewp_mollie_api_errors" filter.
         */
        return apply_filters('give_mollie_api_errors', $errors);
    }
}
