<?php

namespace GiveMollie\LegacyListeners;

use Mollie\Api\MollieApiClient;

/**
 * @since 2.0.0
 */
class DispatchGiveMollieCustomerCreated
{
    /**
     * @since 2.0.0
     */
    public function __invoke($customer)
    {
        if ( ! has_action('give_mollie_customer_created')) {
            return;
        }

        /**
         * Customer created
         *
         * @since      1.0
         *
         * @param MollieApiClient $customer
         *
         * @deprecated Do not use this. Instead, use the "givewp_mollie_customer_created" action.
         */
        do_action('give_mollie_customer_created', $customer);
    }
}
