<?php

namespace GiveMollie\LegacyListeners;

/**
 * @since 2.0.0
 */
class DispatchGiveMollieWebhookEndpoint
{
    /**
     * @since 2.0.0
     */
    public function __invoke(string $webhookEndpoint)
    {
        if ( ! has_filter('give_mollie_webhook_endpoint')) {
            return $webhookEndpoint;
        }

        /**
         * Get the web-hook endpoint.
         *
         * @since      1.0
         *
         * @param string $webhookEndpoint Web-hook Endpoint URL.
         *
         * @deprecated Do not use this. Instead, use the "givewp_mollie_webhook_url" filter.
         */
        return apply_filters('give_mollie_webhook_endpoint', $webhookEndpoint);
    }
}
