<?php

namespace GiveMollie\LegacyListeners;

use GiveMollie\DataTransferObjects\MollieWebhookRequest;

/**
 * @since 2.0.0
 */
class DispatchGiveMollieWebhookHandler
{
    /**
     * @since 2.0.0
     */
    public function __invoke(MollieWebhookRequest $request)
    {
        if ( ! has_action("give_mollie_handle_{$request->hookType }_hook")) {
            return;
        }

        /**
         * Allow developers to handle the web-hook request.
         *
         * @since      1.0
         *
         * @param array $_POST Web-hook request data.
         * @param array $_GET  Get params.
         *
         * @deprecated Do not use this. Instead, use the "givewp_mollie_webhook_request_handler" action.
         */
        do_action("give_mollie_handle_{$request->hookType }_hook", $_POST, $_GET);
    }
}
